﻿
.office-list {
    display: flex;
    flex-direction: column;
    gap: 20px;
}


.office-section h2 {
    font-size: 2.5rem;
    color: #1A3D59;
}

:root[data-theme="dark"] .office-section h2 {
    color: #fff;
}


.office-card {
    display: flex;
    border: 1px solid #F4F4F4;
    background-color: #1A3D591A;
}

    .office-card:hover {
        box-shadow: 0 0 15px #1A3D591A;
    }

.office-card img {
    width: 350px;
    height: 180px;
    margin: 1.5rem;
}

.office-info {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 100%;
    padding: 2rem;
}

:root[data-theme="dark"] .office-info .info-1{
    color: #fff;
}

.info-1 {
    margin-left: -12%;
    display: flex;
    width: 100%;
    height: 60%;
    flex-direction: row;
    justify-content: space-evenly;
}

.container .info-1 h3 {
    margin-left: 20px;
    width: 140px;
    font-size: 0.9375rem !important;
    color: #1A3D59;
    text-transform: uppercase;
}

:root[data-theme="dark"] .office-info .info-1 h3{
    color: #fff;
}
    

.info-2 p {
    width: 140px;
    font-size: 0.9375rem;
    font-family: figtree;
}

:root[data-theme="dark"] .office-info .info-2 p {
    color: #fff;
}

.info-1 address {
    margin-left: 10px;
    width: 150px;
}

:root[data-theme="dark"] .office-info .info-1 address {
    color: #fff;
}

.info p {
    margin: 5px 0;
    font-size: 0.9375rem;
    font-family: figtree;
}

:root[data-theme="dark"] .office-info .info p {
    color: #fff;
}


.office-info .contact a {
    color: #000;
    text-decoration: none;
}

:root[data-theme="dark"] .office-info .contact a {
    color: #fff;
}

section.contact-section {
    margin-top: 10rem;
}

.contact-section h2 {
   font-size: 3rem;
   font-weight: 200;
   color: #1A3D59;
   margin-bottom: 20px;
   width: 180px;
}
:root[data-theme="dark"] .contact-section h2 {
    color: #69BFAF;
}

.contacts-page p {
    font-size: 0.9375rem;
    line-height: 1.5;
    max-width: 300px;
}


.contact-us-form {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

    .contact-us-form input,
    .contact-us-form select,
    .contact-us-form textarea {
        width: 100%;
        padding: 10px 0;
        font-size: 1rem;
        border: none;
        margin-top: 1rem;
        border-bottom: 1px solid #ccc;
        background: transparent;
        outline: none;
        font-family: inherit;
        transition: border-color 0.3s ease;
        color: #69BFAF;
    }

        .contact-us-form input::placeholder,
        .contact-us-form select::placeholder,
        .contact-us-form textarea::placeholder {
            color: grey; /* Placeholder text color */
        }

    /* Optional: add some margin between fields */
    .contact-us-form input,
    .contact-us-form select,
    .contact-us-form textarea {
        margin-bottom: 20px;
    }


        .contact-us-form input:focus,
        .contact-us-form select:focus,
        .contact-us-form textarea:focus {
            border-bottom: 1px solid #69BFAF;
        }

    .contact-us-form textarea {
        resize: vertical;
        min-height: 20px;
    }

.formwidget-submit-text {
    color: #69BFAF;
    font-size: 2rem;
    width: 350px;
    color: #1A3D59;
}

:root[data-theme="dark"] .formwidget-submit-text {
    color: #69BFAF;
}
/*    send button*/
input[type="submit"] {
    border: none;
    color: #1A3D59;
    background: none;
    margin-top: 50px;
    font-size: 1.25rem;
    font-weight: 600;
    text-align: left;
}

:root[data-theme="dark"] input[type="submit"] {
    color: #69BFAF;
}

/*.contact-us-form input[type="submit"]:focus {
    display: none;
}*/

.message-form {
    font-size: 2rem;
    margin-top: 10rem;
    margin-left: 5rem;
    color: #69BFAF;
}
/* Laptops large devices (desktops, 1600px and up)*/
@media (min-width: 1600px) and (max-width: 1699.98px) {
}

/*// Laptops large devices (desktops, 1400px and up)*/
@media (min-width: 1400px) and (max-width: 1599.98px) {
}

/*// Laptops small devices (desktops, 1200px and up)*/
@media (min-width: 1200px) and (max-width: 1399.98px) {
}

/*// Extra large devices (large desktops, 1200px and up)*/
@media (min-width: 1200px) {
}

/*// Large devices (desktops, 992px and up)*/
@media (min-width: 992px) and (max-width: 1199.98px) {
}

/*// Medium devices (tablets, 768px and up)*/
@media (min-width: 768px) and (max-width: 991.98px) {


    .contacts-page h2 {
        font-size: 2.6rem !important;
        text-align: start;
    }

    .contacts-page p {
        max-width: 600px;
    }

    .office-section h2 {
        font-size: 3rem;
        text-align: start;
    }


    .office-card img {
        width: 200px;
        height: auto;
    }

    .office-info {
        padding: 1.5rem;
    }

    .info.info-2 {
        margin-left: -2rem;
    }

    .info-1 address {
        margin-left: 0; 
        width: 150px;
    }

    .office-info address, a
     {
        font-size: 0.8rem;
    }
}

/*// Small devices (landscape phones, 576px and up)*/
@media (min-width: 576px) and (max-width: 767.98px) {


    .contacts-page h2 {
        font-size: 2.5rem;
        text-align: start;
    }

    .contact-info {
        margin-left: 40px;
    }

    .office-section h2 {
        font-size: 2rem;
    }

    .office-card {
        flex-direction: column;
        align-items: center;
    }

    .container .info-1 h3 {
        margin-left: 0;
    }

        .office-card img {
            width: 250px;
            height: 180px;
            margin-top: 40px;
        }

    .info-1 {
        flex-direction: column !important;
        align-items: center;
        text-align: center;
        margin-left: 0;
    }

        .info-1 address {
            margin-left: 0;
            width: 250px;
        }

    .contact {
        text-align: center;
    }

        .contact a {
            margin-left: 10px;
        }

    .office-list {
        margin: 1rem;
    }

    .info.info-2 p {
        margin-left: 90px;
    }

    .contact-us-form {
        max-width: 300px !important;
        margin-left: 25px !important;
    }
}
    /*// Extra small devices (portrait phones, less than 576px)*/
@media (max-width: 575.98px) {
    .contacts-page h2 {
        font-size: 2.5rem;
        text-align: start;
    }

    .contact-info {
        margin-left: 40px;
    }

    .office-section h2 {
        font-size: 2rem;
    }

    .office-card {
        flex-direction: column;
        align-items: center;
    }

        .office-card img {
            width: 250px;
            height: 180px;
            margin-top: 40px;
        }

    .container .info-1 h3 {
        margin-left: 0;
    }

    .info-1 {
        flex-direction: column !important;
        align-items: center;
        text-align: center;
        margin-left: 0;
    }

        .info-1 address {
            margin-left: 0;
            width: 250px;
        }

    .contact {
        text-align: center;
    }

        .contact a {
            margin-left: 10px;
        }

    .office-list {
        margin: 1rem;
    }

    .info.info-2 p {
        margin-left: 90px;
    }

    .contact-us-form {
        max-width: 300px !important;
        margin-left: 25px !important;
    }

    .formwidget-submit-text {
        font-size: 1.8rem;
        width: 300px;
    }
}